Debian Bug report logs - #650988
cdparanoia: Please transition cdparanoia for multiarch

version graph

Package: cdparanoia; Maintainer for cdparanoia is Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>; Source for cdparanoia is src:cdparanoia.

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Sun, 4 Dec 2011 21:51:01 UTC

Severity: normal

Tags: patch

Found in version cdparanoia/3.10.2+debian-10

Fixed in version cdparanoia/3.10.2+debian-11

Done: TANIGUCHI Takaki <takaki@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#650988; Package cdparanoia. (Sun, 04 Dec 2011 21:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sun, 04 Dec 2011 21:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdparanoia: Please transition cdparanoia for multiarch
Date: Sun, 04 Dec 2011 13:48:16 -0800
[Message part 1 (text/plain, inline)]
Package: cdparanoia
Version: 3.10.2+debian-10
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi folks,

Please find attached a patch to cdparanoia to transition it to use of the
multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.  This patch has been
tested and included in Ubuntu Precise.

cdparanoia is a dependency of ia32-libs in Ubuntu, so making this package
co-installable for multiarch will benefit users of 32-bit software that
currently can only be used via ia32-libs on amd64.

Thanks for considering the patch.
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[cdparanoia_3.10.2+debian-10ubuntu1.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#650988; Package cdparanoia. (Mon, 05 Dec 2011 09:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Mon, 05 Dec 2011 09:24:11 GMT) Full text and rfc822 format available.

Message #10 received at 650988@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Steve Langasek <steve.langasek@canonical.com>, 650988@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Pkg-opt-media-team] Bug#650988: cdparanoia: Please transition cdparanoia for multiarch
Date: Mon, 5 Dec 2011 07:21:26 -0200
Hi, Steve.

On Sun, Dec 4, 2011 at 19:48, Steve Langasek
<steve.langasek@canonical.com> wrote:
> cdparanoia is a dependency of ia32-libs in Ubuntu, so making this package
> co-installable for multiarch will benefit users of 32-bit software that
> currently can only be used via ia32-libs on amd64.

OK, thanks for the patch. I will integrate it in the next few weeks. Thanks.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Added tag(s) pending. Request was from TANIGUCHI Takaki <takaki@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 01:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#650988; Package cdparanoia. (Sun, 08 Jul 2012 10:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sun, 08 Jul 2012 10:06:19 GMT) Full text and rfc822 format available.

Message #17 received at 650988@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 650988@bugs.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#650988: cdparanoia: Please transition cdparanoia for multiarch
Date: Sun, 8 Jul 2012 12:04:40 +0200
Hi,

> > cdparanoia is a dependency of ia32-libs in Ubuntu, so making this package
> > co-installable for multiarch will benefit users of 32-bit software that
> > currently can only be used via ia32-libs on amd64.
> 
> OK, thanks for the patch. I will integrate it in the next few weeks.
> Thanks.
This is half a year ago now, and the "pending" flag is also almost 3 months 
old. Are there any news on an upload for this package? It is currently the 
last one blocking gstreamer0.10-plugins-base from being installed in a foreign 
architecture, which is desirable to get a complete and useful audio stack for 
foreign-arch applications.

Kind regards,
Ralf




Reply sent to TANIGUCHI Takaki <takaki@debian.org>:
You have taken responsibility. (Sat, 14 Jul 2012 07:06:08 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Sat, 14 Jul 2012 07:06:08 GMT) Full text and rfc822 format available.

Message #22 received at 650988-close@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@debian.org>
To: 650988-close@bugs.debian.org
Subject: Bug#650988: fixed in cdparanoia 3.10.2+debian-11
Date: Sat, 14 Jul 2012 07:02:11 +0000
Source: cdparanoia
Source-Version: 3.10.2+debian-11

We believe that the bug you reported is fixed in the latest version of
cdparanoia, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650988@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
TANIGUCHI Takaki <takaki@debian.org> (supplier of updated cdparanoia package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 14 Jul 2012 15:40:47 +0900
Source: cdparanoia
Binary: cdparanoia cdparanoia-dbg libcdparanoia0 libcdparanoia-dev
Architecture: source amd64
Version: 3.10.2+debian-11
Distribution: unstable
Urgency: low
Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
Changed-By: TANIGUCHI Takaki <takaki@debian.org>
Description: 
 cdparanoia - audio extraction tool for sampling CDs
 cdparanoia-dbg - audio extraction tool for sampling CDs (debug)
 libcdparanoia-dev - audio extraction tool for sampling CDs (development)
 libcdparanoia0 - audio extraction tool for sampling CDs (library)
Closes: 634764 650988
Changes: 
 cdparanoia (3.10.2+debian-11) unstable; urgency=low
 .
   [ TANIGUCHI Takaki ]
   * debian/copyright: copyright-format 1.0
   * debian/control: use kfreebsd-any instead of particular architectures
     (Closes: #634764)
   * Apply multiarch patch (Closes: #650988)
   * Bump Standards-Version to 3.9.3.
Checksums-Sha1: 
 a1bc1c2a462e31ea094c7f04365ea29168f32c2b 2255 cdparanoia_3.10.2+debian-11.dsc
 7303d6e7c04826ed9a77d1e201705632387366af 76592 cdparanoia_3.10.2+debian-11.debian.tar.gz
 558c1a72c8319217cc1961aab765a93c330f6c6e 43532 cdparanoia_3.10.2+debian-11_amd64.deb
 1258a719e46f1bf93dd00760478b89e5650ceee9 14650 cdparanoia-dbg_3.10.2+debian-11_amd64.deb
 78bb5c40a9b7ca3a943d09479db4d4739822fba1 56554 libcdparanoia0_3.10.2+debian-11_amd64.deb
 104d3e7de14b5b0106e26bb6969ab8145aaa0016 57940 libcdparanoia-dev_3.10.2+debian-11_amd64.deb
Checksums-Sha256: 
 423d75039c9d058576bf7803864503158bcc4ec1ae24c8b856051e30316b0237 2255 cdparanoia_3.10.2+debian-11.dsc
 1f9603f534041cf8fdccf1a455b28370abf4a75caed3c3a58be8e38767153026 76592 cdparanoia_3.10.2+debian-11.debian.tar.gz
 e764138ed6f2a7a542f562c783bf515cf13e77ba06711d9345d86a82741a48c5 43532 cdparanoia_3.10.2+debian-11_amd64.deb
 7b0d2d7b966f458409d552adce714fe3f9a89ba3036bc8bc5cb014cf01226ff1 14650 cdparanoia-dbg_3.10.2+debian-11_amd64.deb
 70ceb8a53d1f8c00d2943f8a83841c8a57a031b0d8a3c1d958c18f976ade1964 56554 libcdparanoia0_3.10.2+debian-11_amd64.deb
 9e271cc0aa3a7c2e4199dbadd7bfbeec6164aea3790a39a9609e40d28cf7af2f 57940 libcdparanoia-dev_3.10.2+debian-11_amd64.deb
Files: 
 e2c2ad07323b849b6a606344f7d31710 2255 sound optional cdparanoia_3.10.2+debian-11.dsc
 b28f0cf8adbb71ce109d9b1c8e18d0d7 76592 sound optional cdparanoia_3.10.2+debian-11.debian.tar.gz
 f2e30e419edde698198f0d2bc39b065b 43532 sound optional cdparanoia_3.10.2+debian-11_amd64.deb
 1df38a82e85c4b7d81868f39a9ec7b57 14650 debug extra cdparanoia-dbg_3.10.2+debian-11_amd64.deb
 ddf0faad1f5377c86a6cdc82dc0893d9 56554 libs optional libcdparanoia0_3.10.2+debian-11_amd64.deb
 31120e1393eb28c34645a1c9c0efa662 57940 libdevel optional libcdparanoia-dev_3.10.2+debian-11_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQARYaAAoJEMwUn2wopeJXBXcP/RRzHmGvO+HykMhTV4QWv9Z/
XZyOtIuPhD5jK/1ATyOmcw0aUNGK8MkeysXEUzgDYCOap+BgQJzuJjZ0PKlt6cHR
p4nU+s8aU25ZzTVh8E/46W6fxn2bM2/N5jTa1IW67HPElY3yX8MJZP6B3LJlXpOK
rrXr4TU+C4NE8FLvUeZc+f9K0zoZpArHdlnIRZWs5OkJWIBDv/a8HjCh5ywdxv4G
iq/4HQO3lR+3XspCDy6ylUr13klg2Tv16TsfRd0Lx2zMMD/wGdZX9Gs5iqcph5Dl
BSDjVJaTPgll99TtKn8o5UHio7Y7+5IL3qMSOzNnrmhgDG4WvLyGqdN9vtts2VZ3
zF1ORfoOcOryGAUeLj5XrT3Qrhqx6GqQwBfGcQf1GxTO5SfzT23jfQK2xtYsz1g2
4Nkzpwrn8XY5wE3gO/8+iUojBWphndt/QlNO1CRImZBrXkeNmnnjQHyW+FRzvxxD
DWbiS9HcxeKGXnkDxuRp+HChmbbrVswRmv28E2ob25Ze7+L5Z8FiXBYH56fN0IXw
njSz+yUegKT1vd9e++Q9GZ+OtEDXhXXTiMe50vWPUWOWw1nPRd0aypGtykSLCdEF
swZxSe+7XwWyjszL3Uvx4pVtgVwo4qt5O8w0HX6bikzl1/npttqCyBpaYiAggdRR
MMrvd4hf827i4vhs7HAd
=RY9i
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:19:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:25:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.